/*
 * Copyright (C) 2015-2016 The CyanogenMod Project
 *               2017 The LineageOS Project
 *               2020-2022 Paranoid Android
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.typeblog.lunatic.Settings;

import android.app.Fragment;
import android.os.Bundle;

import com.android.settingslib.collapsingtoolbar.CollapsingToolbarBaseActivity;
import com.android.settingslib.R;

import net.typeblog.lunatic.Utils.ServiceUtils;

public class SettingsActivity extends CollapsingToolbarBaseActivity {

    private SettingsFragment mSettingsFragment;
    private static final String TAG_SPOTLIGHT = "spotlight";

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        ServiceUtils.checkSpotlightService(this);

        Fragment fragment = getFragmentManager().findFragmentById(R.id.content_frame);
        if (fragment == null) {
            mSettingsFragment = new SettingsFragment();
            getFragmentManager().beginTransaction()
                .add(R.id.content_frame, mSettingsFragment, TAG_SPOTLIGHT)
                .commit();
        } else {
            mSettingsFragment = (SettingsFragment) fragment;
        }
    }
}
